program lambda_iteration
  use param_mod
  use general_mod
  use ali_mod


  implicit none
  
  call grilles()
  
  ! Accelerated Lambda-iteration (ALI)

  call methode_ali(S_ali,J_bar_ali,J_nu_ali)
 
  print*,'FIN PROGRAMME'

end program lambda_iteration
